
Foreman - Bug #611

Smart-proxy error messages are not displayed

01/25/2011 07:57 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Proxy gateway   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The library code displays e rather than e.response so the error messages from the smart proxy are discarded

Associated revisions

Revision e85584bf - 01/26/2011 08:26 AM - Paul Kelly

Fixes #611 - Display smart-proxy error messages rather than http error codes

Revision cd9079df - 03/13/2011 03:41 AM - Paul Kelly

Refs #611 - smart-proxy errors are not being displayed

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 01/25/2011 08:19 AM - Paul Kelly

- Status changed from New to Ready For Testing

- Branch set to bug/611-display-sp-error-messages

#2 - 01/26/2011 06:31 AM - Paul Kelly

Updated to use a helper method

#3 - 01/26/2011 11:08 AM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset e85584bf8e47437481712f0805769b3ffe144d90.

#4 - 01/28/2011 04:01 AM - Paul Kelly

I have reposted a minor fix to this commit.

The branch is rebased against develop and tested.

#5 - 02/12/2011 04:51 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

#6 - 03/09/2011 11:46 AM - Paul Kelly

- Status changed from Closed to Ready For Testing

I have added yet another fix to this one line of code

#7 - 03/13/2011 03:40 AM - Ohad Levy

- Target version set to 0.2
#8 - 03/13/2011 04:03 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
